#113 system crashes when unplugging device (corega USB)

closed
nobody
None
5
2012-10-06
2005-03-27
nordpol
No

Hi,

I have corega CG-WLUSB2GTST WLAN USB stick (should be a
PRISM GT chip), which works fine on my notebook with
ndiswrapper up from 0.10; currently, I use 1.1. The
problem is the following:

when I unplug the USB stick, the system crashes
immediately, such that there is nothing at all in the
log files; when I switch to a text console, I get
messages reporting error -19 in usb_reset_pipe and
usb_submit_urb -- it is hard to say exactly, as the
messages appear over and over, and thus are almost
impossible to read as they scroll over the screen.

The system also rarely hangs, I guess this is when it
looses the connection.

The error messages vary for different versions of
ndiswrapper.

System is Debian w. Kernel 2.6.8.

When I do 'rmmod ndiswrapper', everything works fine,
and I can unplug the device.

This error is also described in the list working cards.

Thanks, Norbert

Discussion

  • Bill Phipps
    Bill Phipps
    2005-05-24

    Logged In: YES
    user_id=1284472

    I can confirm the same symptom with 1.2rc1, the NetGear
    WG111NA (FCC PY3WG111V2), Fedora Core 3, 2.6.11-1.14_FC3. I
    can't tell if the Windows driver is simply ignoring the
    error back from the submit urb and busy retrying or if
    ndiswrapper is the one busy retrying. I've tried network
    logging to grab the error, but the last thing caught was a
    worker finishing up. I'll add a workaround if this hasn't
    already been addressed.

    Other than usb disconnects, the whole system is rock solid! :)

    Thanks,
    Bill

     
  • Logged In: YES
    user_id=918798

    Test latest snapshot and report if it fixes it.

     
  • Hendrik
    Hendrik
    2005-08-28

    Logged In: YES
    user_id=1156919

    Hi,

    I have got an SMC2862W-G Wireless USB adapter. I am using it
    on Slackware (vanilla Linux 2.6.10) with the latest
    ndiswrapper release (version 1.3rc1). The problem seems to
    still exist -- my system just freezes whenever I unplug the
    device without removing the ndiswrapper module first (same
    as what was described in the original bug report).

    Thanks,

    Hendrik

     
  • Logged In: YES
    user_id=918798

    Another attempt: Try current snapshot and see if it is any better.

     
  • Hendrik
    Hendrik
    2005-08-30

    Logged In: YES
    user_id=1156919

    I downloaded and installed the latest snapshot tarball from
    http://ndiswrapper.sourceforge.net/snapshots/ndiswrapper.tar.gz.

    The problem still exists. I experimented a bit and I found
    out that:
    - If the network interface has been up at least once (i.e. I
    have done 'ifconfig wlan0 up'), unplugging the device always
    crashes my system (unless if I remove ndiswrapper module first).
    - If the network interface has never been up at all (but the
    ndiswrapper module is already loaded), the system doesn't
    crash, but it happened once that ndiswrapper went crazy
    (cannot bring the interface up) and the module cannot even
    be removed (whenever I tried to remove, the console hung).

    Thanks,

    Hendrik

     
  • Logged In: YES
    user_id=918798

    I can't reproduce this issue - I have tried a few times unplugging the
    device with interface up. I used latest driver for linksys wusb54v2
    on usb1.1 host with 2.6.13 kernel. If you still get crashes, submit
    debug trace, all details (kernel version, when ndiswrapper was
    updated etc.).

     
  • Bill Phipps
    Bill Phipps
    2005-08-31

    Logged In: YES
    user_id=103456

    Here is my config:
    Fedora Core3
    ndiswrapper 1.2
    Netgear NG111NA USB 54G in USB 1.1 socket

    Kernel trace is tough because it locks the kernel in an
    endless loop of urb_submit=-19 and usb_pipe_reset=-19 being
    dumped to the console. I will try to capture the actual
    output as well. It seems to me that the windows driver is
    busy retrying to submit a urb to do a reset on the pipe and
    then linux is replying back saying that you can't reset the
    pipe since there is nothing connected. Seems like if the
    windows driver would accept the failure to reset the pipe,
    the kernel could send it the disconnect event and all would
    be happy again.

    I modified ndiswrapper to always reply to pipe_reset with
    sucess to see if the windows driver would accept this, but I
    got nowhere and the result was the same.

    Seems to me that if we fool the windows driver long enough
    with "all is well" replies that it will eventually yield and
    handle the disconnect event properly. We should only do
    this on actual disconnects though.

    This may help as well. I have seen these issues when I
    modprobe -r ndiswrapper as well. It has never been a
    catastrophic endless loop, usually just a few blips of
    reset_pipe and submit_urb and then the module unloads. Load
    and unload don't seem to be problematic either.

    This problem happens every time so when we fix it, we'll
    know. Instead of a kernel trace, is there anything else I
    can provide?

    Thanks,
    Bill

     
  • Logged In: YES
    user_id=918798

    Your description indicates that you may not have latest
    ndiswrapper source. Get the latest snapshot and report the version
    it reports (snapshot is automatically time-stamped and this is
    reported when module is loaded). As I requested eariler, get latest
    driver for wusb54gv2 from linksys.

     
  • Logged In: YES
    user_id=918798

    FWIW, I tested with latest driver for wg111 from netgear too, which
    didn't crash whether or not interface was up and unplugged.
    Please test latest snapshot. I don't know what kernel fedora core 3
    uses. As requested, submit as much information as possible, at least
    ndiswrapper-buginfo output.

     
  • Bill Phipps
    Bill Phipps
    2005-08-31

    Logged In: YES
    user_id=103456

    Thanks for the quick response. With 1.3rc1 and the
    wusb54gv2 driver, the module works and doesn't hang the
    kernel on disconnect. Just a kernel panic. I'm not sure
    how to attach the ndiswrapper bug info .gz so i'll attach it
    later. Here's the pertinent syslog entries:

    At boot/connect:
    Aug 31 14:29:10 localhost kernel: usbcore: registered new
    driver ndiswrapper
    Aug 31 14:32:40 localhost kernel: ndiswrapper version 1.3rc1
    loaded (preempt=no,smp=no)
    Aug 31 14:32:40 localhost kernel: usbcore: registered new
    driver ndiswrapper
    Aug 31 14:32:40 localhost kernel: ndiswrapper: driver
    wusb54gv2 (Linksys,03/30/2004, 3.00.12.0) loaded
    Aug 31 14:32:40 localhost kernel: wlan0: ndiswrapper
    ethernet device 00:0f:b5:71:75:0b using driver wusb54gv2,
    configuration file 0846:4240.0.conf

    At disconnect:
    Aug 31 14:48:36 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -71
    Aug 31 14:48:36 localhost last message repeated 3 times
    Aug 31 14:48:36 localhost kernel: usb 1-1.3: USB disconnect,
    address 4
    Aug 31 14:48:36 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:36 localhost last message repeated 16 times
    Aug 31 14:48:36 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af240, -1, 2
    Aug 31 14:48:36 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:36 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af140, -1, 2
    Aug 31 14:48:36 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:36 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af840, -1, 2
    Aug 31 14:48:36 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:36 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af740, -1, 2
    Aug 31 14:48:36 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:36 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af640, -1, 2
    Aug 31 14:48:36 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:36 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af540, -1, 2
    Aug 31 14:48:36 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:36 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af440, -1, 2
    Aug 31 14:48:36 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:36 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af340, -1, 2
    Aug 31 14:48:36 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af240, -2, 2
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af140, -2, 2
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af840, -2, 2
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af740, -2, 2
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af640, -2, 2
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af540, -2, 2
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af440, -2, 2
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af340, -2, 2
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af240, -3, 2
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af140, -3, 2
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af840, -3, 2
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af740, -3, 2
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af640, -3, 2
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af540, -3, 2
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af440, -3, 2
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af340, -3, 2
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af240, -4, 2
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af140, -4, 2
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af840, -4, 2
    Aug 31 14:48:37 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af740, -4, 2
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af640, -4, 2
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af540, -4, 2
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af440, -4, 2
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af340, -4, 2
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af240, -5, 2
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af140, -5, 2
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af840, -5, 2
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af740, -5, 2
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af640, -5, 2
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af540, -5, 2
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af440, -5, 2
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af340, -5, 2
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af240, -6, 2
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af140, -6, 2
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af840, -6, 2
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af740, -6, 2
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af640, -6, 2
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:38 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af540, -6, 2
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af440, -6, 2
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af340, -6, 2
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af240, -7, 2
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af140, -7, 2
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af840, -7, 2
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af740, -7, 2
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af640, -7, 2
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af540, -7, 2
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af440, -7, 2
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af340, -7, 2
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af240, -8, 2
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af140, -8, 2
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af840, -8, 2
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:39 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af740, -8, 2
    Aug 31 14:48:40 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:40 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af640, -8, 2
    Aug 31 14:48:40 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:40 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af540, -8, 2
    Aug 31 14:48:40 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:40 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af440, -8, 2
    Aug 31 14:48:40 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:40 localhost kernel: ndiswrapper
    (pdoDispatchInternalDeviceControl:446): invalid irp:
    cd7af340, -8, 2
    Aug 31 14:48:40 localhost kernel: ndiswrapper
    (usb_submit_nt_urb:627): usb_reset_pipe failed with -19
    Aug 31 14:48:40 localhost kernel: Unable to handle kernel
    paging request at virtual address dfffffef
    Aug 31 14:48:40 localhost kernel: printing eip:
    Aug 31 14:48:40 localhost kernel: d07accf3
    Aug 31 14:48:40 localhost kernel: *pde = 00000000
    Aug 31 14:48:40 localhost kernel: Oops: 0002 [#1]
    Aug 31 14:48:40 localhost kernel: Modules linked in:
    savage(U) drm(U) md5 ipv6 autofs4 eeprom adm1021 i2c_isa
    i2c_viapro tun aim104_io32(U) aim104(U) dm_mod joydev
    uhci_hcd parport_pc parport via686a i2c_sensor i2c_core
    snd_via82xx snd_ac97_codec snd_pcm_oss snd_mixer_oss snd_pcm
    snd_timer snd_page_alloc gameport snd_mpu401_uart
    snd_rawmidi snd_seq_device snd soundcore ndiswrapper(U)
    8139too mii floppy ext3 jbd
    Aug 31 14:48:40 localhost kernel: CPU: 0
    Aug 31 14:48:40 localhost kernel: EIP: 0060:[<d07accf3>]
    Tainted: P VLI
    Aug 31 14:48:40 localhost kernel: EFLAGS: 00010246
    (2.6.11-1.27_FC3)
    Aug 31 14:48:40 localhost kernel: EIP is at 0xd07accf3
    Aug 31 14:48:40 localhost kernel: eax: cd0718e4 ebx:
    d085bbc6 ecx: e000000f edx: cd071960
    Aug 31 14:48:40 localhost kernel: esi: cd071860 edi:
    cd071960 ebp: cf781e24 esp: cf781de4
    Aug 31 14:48:40 localhost kernel: ds: 007b es: 007b ss: 0068
    Aug 31 14:48:40 localhost kernel: Process events/0 (pid: 3,
    threadinfo=cf781000 task=c1240b30)
    Aug 31 14:48:40 localhost kernel: Stack: cd63a800 d07acd38
    cd072800 cd071960 00000000 d085bbc6 d07acfce cd072800
    Aug 31 14:48:40 localhost kernel: cd071960 cd072b80
    d07ad579 cd072800 cd071960 cd072800 cd072b80 00000005
    Aug 31 14:48:40 localhost kernel: cf781e60 d07ab614
    cd072800 cd072bb0 d07ab62e cd072800 cd072b80 cd91f2fc
    Aug 31 14:48:40 localhost kernel: Call Trace:
    Aug 31 14:48:40 localhost kernel: [<d085bbc6>]
    NdisReleaseSpinLock+0x0/0x9f [ndiswrapper]
    Aug 31 14:48:40 localhost kernel: [<d085bb01>]
    NdisMMapIoSpace+0x58/0x72 [ndiswrapper]
    Aug 31 14:48:40 localhost kernel: [<d085bb01>]
    NdisMMapIoSpace+0x58/0x72 [ndiswrapper]
    Aug 31 14:48:40 localhost kernel: [<d085bbc6>]
    NdisReleaseSpinLock+0x0/0x9f [ndiswrapper]
    Aug 31 14:48:40 localhost kernel: [<d085bb48>]
    NdisAcquireSpinLock+0x0/0x7e [ndiswrapper]
    Aug 31 14:48:41 localhost kernel: [<d085e8b7>]
    ndis_worker+0x1f5/0x347 [ndiswrapper]
    Aug 31 14:48:41 localhost kernel: [<c01357e2>]
    worker_thread+0x1c4/0x415
    Aug 31 14:48:41 localhost kernel: [<d085e6c2>]
    ndis_worker+0x0/0x347 [ndiswrapper]
    Aug 31 14:48:41 localhost kernel: [<c011aac8>]
    default_wake_function+0x0/0xc
    Aug 31 14:48:41 localhost kernel: [<c011aac8>]
    default_wake_function+0x0/0xc
    Aug 31 14:48:41 localhost kernel: [<c013561e>]
    worker_thread+0x0/0x415
    Aug 31 14:48:41 localhost kernel: [<c013b930>]
    kthread+0x7c/0xa4
    Aug 31 14:48:41 localhost kernel: [<c013b8b4>] kthread+0x0/0xa4
    Aug 31 14:48:41 localhost kernel: [<c0101291>]
    kernel_thread_helper+0x5/0xb
    Aug 31 14:48:41 localhost kernel: Code: 00 66 c7 00 48 00 8b
    09 8b 09 89 48 10 8b 4a 24 83 60 20 00 89 48 18 8b 4a 28 83
    60 24 00 89 48 1c c7 40 14 03 00 00 00 8b 4e 60 <89> 41 e0
    83 e9 24 c7 41 0c 03 00 22 00 c6 01 0f 8b 46 60 83 e8

     

    Related

    Bugs: #1
    Wiki: ndiswrapper

  • Bill Phipps
    Bill Phipps
    2005-08-31

    Logged In: YES
    user_id=103456

    Here's the buginfo. I did not do the module reload:
    utils:
    -rwxr-xr-x 1 root root 24975 Aug 31 12:00 /sbin/loadndisdriver
    -rwxr-xr-x 1 root root 20568 Aug 31 12:00 /usr/sbin/ndiswrapper


    kernel:
    Linux version 2.6.11-1.27_FC3
    (bhcompile@porky.build.redhat.com) (gcc version 3.4.3
    20050227 (Red Hat 3.4.3-22)) #1 Tue May 17 20:27:37 EDT 2005
    kernel sources are in /lib/modules/2.6.11-1.27_FC3/build


    gcc --version:
    gcc (GCC) 3.4.2 20041017 (Red Hat 3.4.2-6.fc3)
    Copyright (C) 2004 Free Software Foundation, Inc.
    This is free software; see the source for copying
    conditions. There is NO
    warranty; not even for MERCHANTABILITY or FITNESS FOR A
    PARTICULAR PURPOSE.


    installed drivers:
    /etc/ndiswrapper:
    total 12
    -rw-r--r-- 1 root root 268 Apr 28 08:47 modules.ndiswrapper
    drwxr-xr-x 2 root root 4096 Aug 31 14:29 wusb54gv2

    /etc/ndiswrapper/wusb54gv2:
    total 388
    lrwxrwxrwx 1 root root 16 Aug 31 14:29 0846:4240.0.conf
    -> 13B1:000A.0.conf
    -rw-r--r-- 1 root root 383 Aug 31 14:28 13B1:000A.0.conf
    -rwxr-xr-x 1 root root 9254 Aug 31 14:28 wusb54gv2.inf
    -rw-r--r-- 1 root root 374752 Aug 31 14:28 wusbgxp.sys
    Not reloading ndiswrapper...

    [<c01357e2>] worker_thread+0x1c4/0x415
    [<d085e6c2>] ndis_worker+0x0/0x347 [ndiswrapper]
    [<c011aac8>] default_wake_function+0x0/0xc
    [<c011aac8>] default_wake_function+0x0/0xc
    [<c013561e>] worker_thread+0x0/0x415
    [<c013b930>] kthread+0x7c/0xa4
    [<c013b8b4>] kthread+0x0/0xa4
    [<c0101291>] kernel_thread_helper+0x5/0xb
    Code: 00 66 c7 00 48 00 8b 09 8b 09 89 48 10 8b 4a 24 83 60
    20 00 89 48 18 8b 4a 28 83 60 24 00 89 48 1c c7 40 14 03 00
    00 00 8b 4e 60 <89> 41
    e0 83 e9 24 c7 41 0c 03 00 22 00 c6 01 0f 8b 46 60 83 e8

     
  • Logged In: YES
    user_id=918798

    I give up.

    I have asked you (multiple times) to use latest snapshot and you
    give information about 1.3rc1. I know 1.3rc1 has an issue with
    unplugging and the fix was made post-1.3rc1. And read wiki about
    how to supply useful information while filing bug reports.

    If you read my posts carefully and follow exactly as described
    and supply useful information, I will consider this issue pending.
    Otherwise, since I can't reproduce it, I will mark this as done.

     
  • Bill Phipps
    Bill Phipps
    2005-09-01

    Logged In: YES
    user_id=103456

    Sorry for the confusion. I thought that rc1 was the latest
    snapshop. I got the latest snapshot and I also downloaded
    the source from CVS. I compiled the both with -DDEBUG=3 and
    -DUSB_DEBUG as per the bugs wiki. It seems debug_timer is
    set as well so that was on too. The result is different
    from the rc1 in that disconnects immediately halt the
    system. The variations I've tried are snapshot without
    debug, snapshot with debug, cvs (about 11AM EST today)
    without debug, and cvs with debug. Module unloading doesn't
    crash or panic any more with the interface up, just actual
    usb disconnects.

    As for supplying useful information, netconsole shows
    nothing after the disconnect, and the actual console shows
    nothing (cursor actually stops blinking). I am using the
    latest WUSB54GV2 driver as per your recommendation. I'll
    include the bug-info output that was run just after the
    modprobe with the snapshot with debug. I can also do the
    cvs if it will help.

    Other data that may help: no preempt, no smp. Kernel has 4k
    stacks. This output is from is a snapshot grabbed from
    http://ndiswrapper.sourceforge.net/snapshots/ndiswrapper.tar.gz
    last night, although the version still says 1.3rc1. make
    clean. make install. cvs source also doesn't seem to update
    the version.

    I have plenty of debug logs but I don't see an efficient way
    to upload them. I can setup any sort of test you'd like,
    even recompile the kernel if you think that will help. I'll
    try some other variations in the mean time to see if
    interface up/down matters and other things.

    Here's the buginfo. It does not crash during module reload:
    utils:
    -rwxr-xr-x 1 root root 24975 Sep 1 11:28 /sbin/loadndisdriver
    -rwxr-xr-x 1 root root 21072 Sep 1 11:28 /usr/sbin/ndiswrapper


    kernel:
    Linux version 2.6.11-1.27_FC3
    (bhcompile@porky.build.redhat.com) (gcc version 3.4.3
    20050227 (Red Hat 3.4.3-22)) #1 Tue May 17 20:27:37 EDT 2005
    kernel sources are in /lib/modules/2.6.11-1.27_FC3/build


    gcc --version:
    gcc (GCC) 3.4.2 20041017 (Red Hat 3.4.2-6.fc3)
    Copyright (C) 2004 Free Software Foundation, Inc.
    This is free software; see the source for copying
    conditions. There is NO
    warranty; not even for MERCHANTABILITY or FITNESS FOR A
    PARTICULAR PURPOSE.


    installed drivers:
    /etc/ndiswrapper:
    total 12
    -rw-r--r-- 1 root root 268 Apr 28 08:47 modules.ndiswrapper
    drwxr-xr-x 2 root root 4096 Sep 1 11:32 wusb54gv2

    /etc/ndiswrapper/wusb54gv2:
    total 388
    lrwxrwxrwx 1 root root 16 Sep 1 11:32 0846:4240.0.conf
    -> 13B1:000A.0.conf
    -rw-r--r-- 1 root root 383 Sep 1 11:31 13B1:000A.0.conf
    -rwxr-xr-x 1 root root 9254 Sep 1 11:31 wusb54gv2.inf
    -rw-r--r-- 1 root root 374752 Sep 1 11:31 wusbgxp.sys
    Reloading ndiswrapper...
    ndiswrapper (usb_submit_nt_urb:549): irp: c2ee67c0, stack
    size: 1, cl: 1, sl: c2ee6860, dev_obj: ccde80a0, mj_fn: 15,
    minor_fn: 0, nt_urb: cd709064, event: 00000000
    ndiswrapper (usb_bulk_or_intr_trans:331): irp: c2ee67c0,
    stack size: 1, cl: 1, sl: c2ee6860, dev_obj: ccde80a0,
    mj_fn: 15, minor_fn: 0, nt_urb: cd709064, event: 00000000
    ndiswrapper (urb_tx_complete_worker:262): irp: c2ee67c0,
    stack size: 1, cl: 1, sl: c2ee6860, dev_obj: ccde80a0,
    mj_fn: 15, minor_fn: 0, nt_urb: cd709064, event: 00000000
    ndiswrapper (IofCompleteRequest:410): irp: c2ee67c0, stack
    size: 1, cl: 1, sl: c2ee6860, dev_obj: ccde80a0, mj_fn: 15,
    minor_fn: 0, nt_urb: cd709064, event: 00000000
    ndiswrapper (NdisFreeMemory:279): Enter addr = c3438740,
    flags = 00000000
    ndiswrapper (NdisScheduleWorkItem:2493): Enter
    ndiswrapper (NdisScheduleWorkItem:2507): Exit
    ndiswrapper (ndis_worker:2417): Enter
    ndiswrapper (ndis_worker:2438): Calling work at d08ba96e
    with parameter cc626e00
    ndiswrapper (ndis_worker:2484): Exit

    Thanks for the help. I'll send any of the debug logs that
    you may find useful or try any of the other windows drivers.
    BTW, the driver works great prior to disconnect. Don't
    know if I mentioned that!! :)

     
  • Logged In: YES
    user_id=918798

    I am not sure you are using latest snapshot; snapshots display the
    date it was created when module is loaded. For example, latest
    snapshot reports "1.3rc1@0901" for version. If you see anything
    other than that, you are not actually loading module compiled
    from latest snapshot.

    I really don't want to spend long times going through this; mail to
    mailing list and ask for help on how to get latest snapshot loaded.
    You may also want to try 8k stack patch. If I could reproduce this
    bug, I would spend more time trying to understand what is going
    on, but especially since I have spent long time fixing this bug, I
    don't have time to track down your configration/installation issues.

     
  • Logged In: YES
    user_id=918798

    This has been fixed in cvs; if problem persists, reopen or submit a
    new bug report with all details.